︠71b059de-779f-4c0b-bbec-9413ccc25449i︠
%html
<p style="text-align: center;"><strong>Sage Tool 1</strong></p>
<p>This tool is designed for use with Activity 1 in Section 6.2.</p>
<p>Note that we use $K$ rather than $k$ for the proportionality constant. &nbsp;The lower case $k$ is used as a counting index here.</p>
<p>We define $K$, $M$, and $P_0$ below.</p>

︡1fe6b283-810c-4b23-a814-98ed781082de︡{"html": "<p style=\"text-align: center;\"><strong>Sage Tool 1</strong></p>\r\n<p>This tool is designed for use with Activity 1 in Section 6.2.</p>\r\n<p>Note that we use $K$ rather than $k$ for the proportionality constant. &nbsp;The lower case $k$ is used as a counting index here.</p>\r\n<p>We define $K$, $M$, and $P_0$ below.</p>"}︡
︠8a588df5-337d-402e-aa15-e6753931e083︠
K=0.00009
M=1000
P_0=10
︡a32c613c-309a-4b5d-bfaf-efefcb5c5446︡︡
︠0905f4b2-b34e-476e-a2ef-0e404800a7b3i︠
%html
<p>We assign $n$ and $\Delta$ (in place of $\Delta t$) and define the iteration procedure.</p>

︡b7b8fc78-47cb-45fd-b7e0-59aba8891d72︡{"html": "<p>We assign $n$ and $\\Delta$ (in place of $\\Delta t$) and define the iteration procedure.</p>"}︡
︠a4888358-cbe5-4d54-a9ba-cfe3889ff2a4︠
n=40
Delta=120/n
var('k')
t(k)=k*Delta
def P(k):
    list=[P_0]
    for i in range(1,k+1):
        list.append(list[i-1]+K*list[i-1]*(M-list[i-1])*Delta)
    return list
P(3)
︡864fd20b-bc5f-45f8-aa0f-11a946a16ce3︡{"stdout": "[10, 12.6730000000000, 16.0513466691700, 20.3156459227746]"}︡
︠b806349d-dbf9-47a4-8086-9de8759375a0i︠
%html
<p>We carry out the iteration and assign its values to $t$ and $P$.</p>

︡7690ef2b-b2b5-410a-9822-1195e8c197ce︡{"html": "<p>We carry out the iteration and assign its values to $t$ and $P$.</p>"}︡
︠bb0c41c0-ec21-4698-a00b-cc88edc32aa0︠
solution=[(t(k),P(n)[k]) for k in range(n)]
︡b35bb504-18a7-4e26-9838-56ba83cac9e8︡︡
︠b777b67e-8f05-4050-a9e7-eadb259cb882︠
line(solution)
︡f185ffdd-006e-4e57-a2fd-fcb4e58e5ced︡︡
︠960424bb-b847-4593-99db-8cb0fa0b7be6i︠
%html
<p>Now we plot the solution.</p>

︡8361caa2-455d-4124-838d-f758d34c0a62︡{"html": "<p>Now we plot the solution.</p>"}︡
